02 Jun

Official Gmail Blog – Our plans to support modern browsers across Google Apps

For this reason, soon Google Apps will only support modern browsers. Beginning August 1st, we’ll support the current and prior major release of Chrome, Firefox, Internet Explorer and Safari on a rolling basis. Each time a new version is released, we’ll begin supporting the update and stop supporting the third-oldest version.

As of August 1st, we will discontinue support for the following browsers and their predecessors: Firefox 3.5, Internet Explorer 7, and Safari 3. In these older browsers you may have trouble using certain features in Gmail, Google Calendar, Google Talk, Google Docs and Google Sites, and eventually these apps may stop working entirely.

via Official Gmail Blog – Our plans to support modern browsers across Google Apps. Wouldn’t that be amazing if this is start of all web applications/sites being able to only support this same list of browsers. I still know of companies that are required to support IE6. What is any company still doing keeping it’s employees on IE6?